Bug 165661 - Review Request: perl-Tree-Simple
Review Request: perl-Tree-Simple
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Tree-Simple/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-11 05:23 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-31 12:12:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-08-11 05:23:10 EDT
Spec Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Tree-Simple.spec
SRPM Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Tree-Simple-1.15-1.src.rpm

Description:
A simple tree object.

This module in an fully object-oriented implementation of a simple n-ary tree. It is built upon the concept of parent-child relationships, so therefore every Tree::Simple object has both a parent and a set of children (who themselves may have children, and so on). Every Tree::Simple object also has siblings, as they are just the children of their immediate parent.
Comment 1 Paul Howarth 2005-08-19 12:45:49 EDT
Review:

- rpmlint not quite clean - see below
- package and spec file naming is OK
- package meets guidelines
- license is same as perl
- spec file written in English and is legible
- source matches upstream
- builds OK on FC4 and in mock for devel
- BR's OK
- no locales, libraries, subpackages, pkgconfigs etc. to worry about
- not relocatable
- no directory ownership issues
- Tree/Simple.pm installed with wrong permissions - see below
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime

Issues:

- rpmlint output
E: perl-Tree-Simple script-without-shellbang
/usr/lib/perl5/vendor_perl/5.8.6/Tree/Simple.pm
This script does not begins with a shellbang. It will prevent its execution.

Fix by adding to %setup:
chmod -x lib/Tree/Simple.pm

- BR: perl is redundant
- find of empty .bs files is redundant
- add BR: perl(Test::Pod) for better test coverage; this is not pulled in by
  the perl(Test::Pod::Coverage) >= 1.04 BR.

These can be fixed post-import.

Approved.

Note You need to log in before you can comment on or make changes to this bug.